# [Shift Invariant Wavelet Packet Decomposition](@id siwt_api)

```@index
Modules = [SIWT]
```

## Data Structures
```@docs
SIWT.ShiftInvariantWaveletTransformNode
SIWT.ShiftInvariantWaveletTransformNode(::Array{T},::S,::S,::S,::T) where {T<:AbstractFloat, S<:Integer}
SIWT.ShiftInvariantWaveletTransformObject
SIWT.ShiftInvariantWaveletTransformObject(::Array{T}, ::OrthoFilter,::S,::S) where {T<:AbstractFloat, S<:Integer}
```

## Signal Transform and Reconstruction
### Public API
```@docs
SIWT.siwpd
SIWT.isiwpd
```

### Private API
```@docs
SIWT.siwpd_subtree!
SIWT.isiwpd_subtree!
```

## Best Basis Search
### Public API
```@docs
SIWT.bestbasistree!
```

### Private API
```@docs
SIWT.bestbasis_treeselection!
```

## Single Step Transforms
### Private API
```@docs
SIWT.sidwt_step!
SIWT.isidwt_step!
```

## Other Utils
### Private API
```@docs
Wavelets.Util.isvalidtree(::ShiftInvariantWaveletTransformObject)
SIWT.delete_node!
```